CREATE TABLE egi_batch_pub_item_entities (
    PUB_ITEM_ENTITIES_SEQ_ID    NUMBER(18, 0) ,
    SOURCE_SYSTEM_CODE          VARCHAR2(120) ,
    SOURCE_SYSTEM_ID            NUMBER(18, 0) ,
    BATCH_ID                    NUMBER(18, 0) ,
    ENTITY_CODE                 VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048)    NOT NULL,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    PUB_ITEM_ENTITIES_SEQ_ID    NUMBER(18, 0) ,
    SOURCE_SYSTEM_ID            NUMBER(18, 0) ,
    BATCH_ID                    NUMBER(18, 0) ,
    ENTITY_CODE                 VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048)    NOT NULL,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    SOURCE_SYSTEM_CODE          VARCHAR2(120) ,
    CONSTRAINT pk_egi_batch_pub_item_entities PRIMARY KEY (PUB_ITEM_ENTITIES_SEQ_ID, PUB_ITEM_ENTITIES_SEQ_ID)
);
